import { Observable } from 'rxjs';
import { ViewModel } from './view.model';
export interface ViewStore {
    /**
     * Get config of main view.
     */
    getMainViewConfig(): Observable<ViewModel>;
    /**
     * Get config of view by view index.
     */
    getViewConfig(viewIndex: number): Observable<ViewModel>;
    /**
     * Get config of view by configureViewId.
     */
    getViewConfigByConfigureViewId(configureViewId: number): Observable<ViewModel>;
    /**
     * Get View config by ConfigureViewCode
     */
    getViewConfigByConfigureViewCode(configureViewCode: string): Observable<ViewModel>;
}
